## serpent 1.12.1

=== Makefile ===
.PHONY: all sdist wheel install upload clean test check

all:
	@echo "targets include sdist, wheel, upload, install, clean"

sdist:
	python setup.py sdist
	@echo "Look in the dist/ directory"

wheel:
	python setup.py bdist_wheel
	@echo "Look in the dist/ directory"

upload:
	python setup.py sdist upload
	python setup.py bdist_wheel upload

install:
	python setup.py install

test:
	python -E test_serpent.py

check:
	flake8 --exclude .tox --ignore E501

clean:
	@echo "Removing tox dirs, logfiles, .pyo/.pyc files..."
	rm -rf .tox
	find . -name __pycache__ -print0 | xargs -0 rm -rf
	find . -name \*_log -print0 | xargs -0  rm -f
	find . -name \*.log -print0 | xargs -0  rm -f
	find . -name \*.pyo -print0 | xargs -0  rm -f
	find . -name \*.pyc -print0 | xargs -0  rm -f
	find . -name \*.class -print0 | xargs -0  rm -f
	find . -name \*.DS_Store -print0 | xargs -0  rm -f
	find . -name TEST-*.xml -print0 | xargs -0  rm -f
	find . -name TestResult.xml -print0 | xargs -0  rm -f
	rm -f MANIFEST
	rm -rf build
	rm -rf dotnet/Serpent/obj dotnet/Serpent.Test/obj
	rm -rf dotnet/Serpent/bin dotnet/Serpent.Test/bin
	find . -name  '.#*' -print0 | xargs -0  rm -f
	find . -name  '#*#' -print0 | xargs -0  rm -f
	@echo "clean!"

## serpent 1.8

=== debian/changelog ===
serpent (1.8-1) unstable; urgency=low

  * Initial upload (closes: #777392).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 07 Feb 2015 19:37:57 +0000

=== debian/control ===
Source: serpent
Section: python
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9), python-all, python3-all
Build-Depends-Indep: dh-python
Standards-Version: 3.9.6
Homepage: https://pypi.python.org/pypi/serpent
XS-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

#Package: serpent
#Architecture: all
#Depends: ${misc:Depends}, python3-serpent | python2-serpent
#Description: simple serialization library based on ast.literal_eval()
# Serpent provides ast.literal_eval() compatible object tree serialization.
# It serializes an object tree into bytes (utf-8 encoded string) that can be
# decoded and then passed as-is to ast.literal_eval() to rebuild it as the
# original object tree.
# As such it is safe to send serpent data to other machines over the network
# for instance (because only 'safe' literals are encoded).
# .
# This metapackage depends on the Python variant the user needs.

Package: python2-serpent
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: pyro4-doc, pyro4
Description: simple serialization library based on ast.literal_eval(), Python2 modules
 Serpent provides ast.literal_eval() compatible object tree serialization.
 It serializes an object tree into bytes (utf-8 encoded string) that can be
 decoded and then passed as-is to ast.literal_eval() to rebuild it as the
 original object tree.
 As such it is safe to send serpent data to other machines over the network
 for instance (because only 'safe' literals are encoded).
 .
 This package contains the core Serpent module for Python 2.x .

Package: python3-serpent
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: simple serialization library based on ast.literal_eval(), Python3 modules
 Serpent provides ast.literal_eval() compatible object tree serialization.
 It serializes an object tree into bytes (utf-8 encoded string) that can be
 decoded and then passed as-is to ast.literal_eval() to rebuild it as the
 original object tree.
 As such it is safe to send serpent data to other machines over the network
 for instance (because only 'safe' literals are encoded).
 .
 This package contains the core Serpent module for Python 3.x .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)

build-python%:
	python$* setup.py build

override_dh_auto_build: $(PYTHON3:%=build-python%)
	dh_auto_build

install-python%:
	python$* setup.py install --root=$(DESTDIR) --install-layout=deb

override_dh_auto_install: $(PYTHON3:%=install-python%)
	dh_auto_install

override_dh_auto_test:
#	needs unpackaged python-serpent
#	python setup.py test

%:
	dh $@ --with python2,python3

#.PHONY: override_dh_auto_build override_dh_auto_install \
	override_dh_auto_test

## serpent 1.12.1

=== debian/changelog ===
serpent (1.12.1-1) unstable; urgency=low

  * New upstream release.
  * Add pytz build dependency for tests.
  * Switch to Pybuild build system.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 16 Jan 2016 18:52:46 +0100

serpent (1.9-1) experimental; urgency=low

  * New upstream release. 

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 14 Mar 2015 17:09:18 +0000

=== debian/watch ===
version=3
https://github.com/irmen/Serpent/tags .*/archive/v?([\d\.]+)\..*

## serpent 1.16

=== debian/changelog ===
serpent (1.16-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 06 Jan 2017 12:41:29 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: python
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), python-all, python3-all
+Build-Depends: debhelper (>= 9), python-all, python3-all, python-tz, python3-tz
 Build-Depends-Indep: dh-python
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://pypi.python.org/pypi/serpent
-XS-Python-Version: >= 2.6
+X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 
 #Package: serpent

## serpent 1.23

=== Makefile ===
--- 
+++ 
@@ -1,25 +1,20 @@
-.PHONY: all sdist wheel install upload clean test check
+.PHONY: all dist install upload clean test check
 
 all:
-	@echo "targets include sdist, wheel, upload, install, clean"
+	@echo "targets include sdist, wheel, upload, install, clean, test"
 
-sdist:
-	python setup.py sdist
-	@echo "Look in the dist/ directory"
-
-wheel:
-	python setup.py bdist_wheel
+dist:
+	python setup.py sdist bdist_wheel
 	@echo "Look in the dist/ directory"
 
 upload:
-	python setup.py sdist upload
-	python setup.py bdist_wheel upload
+	python setup.py sdist bdist_wheel upload
 
 install:
 	python setup.py install
 
 test:
-	python -E test_serpent.py
+	cd tests && (PYTHONPATH=.. python -s test_serpent.py)
 
 check:
 	flake8 --exclude .tox --ignore E501

=== debian/changelog ===
serpent (1.23-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.0.0 and debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 23 Jul 2017 15:28:51 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), python-all, python3-all, python-tz, python3-tz
+Build-Depends: debhelper (>= 10), python-all, python3-all, python-tz, python3-tz
 Build-Depends-Indep: dh-python
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://pypi.python.org/pypi/serpent
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export PYBUILD_NAME = serpent
export PYBUILD_DESTDIR_python2=debian/python2-serpent/

override_dh_auto_test:
	$(MAKE) test

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

.PHONY: override_dh_auto_test

## serpent 1.24

=== Makefile ===
--- 
+++ 
@@ -16,8 +16,8 @@
 test:
 	cd tests && (PYTHONPATH=.. python -s test_serpent.py)
 
-check:
-	flake8 --exclude .tox --ignore E501
+checkstyle:
+	pycodestyle
 
 clean:
 	@echo "Removing tox dirs, logfiles, .pyo/.pyc files..."

=== debian/changelog ===
serpent (1.24-1) unstable; urgency=medium

  * New upstream release.
  * Make rebuildable.
  * Update debhelper level to 11 .
  * Update Standards-Version to 4.1.4 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 18 Apr 2018 20:48:46 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 10), python-all, python3-all, python-tz, python3-tz
+Build-Depends: debhelper (>= 11), python-all, python3-all, python-tz, python3-tz
 Build-Depends-Indep: dh-python
-Standards-Version: 4.0.0
+Standards-Version: 4.1.4
 Homepage: https://pypi.python.org/pypi/serpent
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

## serpent 1.25

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-.PHONY: all dist install upload clean test check
+.PHONY: all dist install upload clean test check lint
 
 all:
-	@echo "targets include sdist, wheel, upload, install, clean, test"
+	@echo "targets include dist, upload, install, clean, test, lint"
 
 dist:
 	python setup.py sdist bdist_wheel
@@ -16,7 +16,7 @@
 test:
 	cd tests && (PYTHONPATH=.. python -s test_serpent.py)
 
-checkstyle:
+lint:
 	pycodestyle
 
 clean:

=== debian/changelog ===
serpent (1.25-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.1.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 16 Jul 2018 17:59:39 +0000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 11), python-all, python3-all, python-tz, python3-tz
 Build-Depends-Indep: dh-python
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Homepage: https://pypi.python.org/pypi/serpent
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
+X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.4
 
 #Package: serpent
 #Architecture: all

## serpent 1.27

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,9 @@
 	python setup.py sdist bdist_wheel
 	@echo "Look in the dist/ directory"
 
-upload:
-	python setup.py sdist bdist_wheel upload
+upload: dist
+	@echo "Uploading to Pypi using twine...."
+	twine upload dist/*
 
 install:
 	python setup.py install

=== debian/changelog ===
serpent (1.27-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.
  * Update Standards-Version to 4.2.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 25 Oct 2018 15:53:18 +0000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: python
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 11), python-all, python3-all, python-tz, python3-tz
+Build-Depends: debhelper (>= 11), python-all, python-enum34, python3-all, python-tz, python3-tz
 Build-Depends-Indep: dh-python
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Homepage: https://pypi.python.org/pypi/serpent
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
+#X-Python-Version: >= 2.7
+#X-Python3-Version: >= 3.4
 
 #Package: serpent
 #Architecture: all
@@ -24,7 +24,7 @@
 
 Package: python2-serpent
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python:Depends}, python-enum34
 Suggests: pyro4-doc, pyro4
 Description: simple serialization library based on ast.literal_eval(), Python2 modules
  Serpent provides ast.literal_eval() compatible object tree serialization.

=== debian/watch ===
version=3
https://github.com/irmen/Serpent/tags .*/archive/serpent-v?([\d\.]+)\..*

## serpent 1.28

=== debian/changelog ===
serpent (1.28-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 21 Jul 2019 14:38:20 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 11), python-all, python-enum34, python3-all, python-tz, python3-tz
+Build-Depends: debhelper (>= 11), python-all, python-setuptools, python-enum34, python3-all, python-tz, python-attr, python3-tz, python3-attr
 Build-Depends-Indep: dh-python
 Standards-Version: 4.2.1
 Homepage: https://pypi.python.org/pypi/serpent

## serpent 1.30

=== debian/changelog ===
serpent (1.30-1ubuntu1) focal; urgency=medium

  * d/p/update-version-1.30.patch: Update __version__ to prevent import
    failure. Only needed for 1.30 release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 10 Feb 2020 12:27:38 -0500

serpent (1.30-1) unstable; urgency=medium

  * New upstream release.
  * Remove Python 2 bindings (closes: #938469).
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 31 Jan 2020 16:51:15 +0000

## serpent 1.30.2

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	python setup.py install
 
 test:
-	cd tests && (PYTHONPATH=.. python -s test_serpent.py)
+	python setup.py test
 
 lint:
 	pycodestyle

=== debian/changelog ===
serpent (1.30.2-1) unstable; urgency=medium

  * New upstream release:
    - fix __version__ string (closes: #951124).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 11 Feb 2020 17:30:39 +0000

=== debian/control ===
Source: serpent
Section: python
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 11), python3-all, python3-setuptools, python3-tz, python3-attr
Build-Depends-Indep: dh-python
Standards-Version: 4.5.0
Homepage: https://pypi.python.org/pypi/serpent
#X-Python3-Version: >= 3.5

Package: python3-serpent
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: simple serialization library based on ast.literal_eval(), Python3 modules
 Serpent provides ast.literal_eval() compatible object tree serialization.
 It serializes an object tree into bytes (utf-8 encoded string) that can be
 decoded and then passed as-is to ast.literal_eval() to rebuild it as the
 original object tree.
 As such it is safe to send serpent data to other machines over the network
 for instance (because only 'safe' literals are encoded).
 .
 This package contains the core Serpent module for Python 3.x .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME = serpent

override_dh_auto_test:
	$(MAKE) test

%:
	dh $@ --with python3 --buildsystem=pybuild

.PHONY: override_dh_auto_test

## serpent 1.40

=== debian/changelog ===
serpent (1.40-1) unstable; urgency=medium

  * New upstream release.
  * Update homepage location.
  * Update watch file.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 24 Oct 2021 10:29:58 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export PYBUILD_NAME = serpent

override_dh_auto_test:
	$(MAKE) test

override_dh_auto_install:
	dh_auto_install
	$(RM) -r debian/python3-$(PYBUILD_NAME)/usr/lib/python*/dist-packages/$(PYBUILD_NAME)-*.egg-info/

%:
	dh $@ --with python3 --buildsystem=pybuild

.PHONY: override_dh_auto_test override_dh_auto_install

## serpent 1.41

=== Makefile ===
--- 
+++ 
@@ -15,14 +15,13 @@
 	python setup.py install
 
 test:
-	python setup.py test
+	pytest -v tests
 
 lint:
 	pycodestyle
 
 clean:
-	@echo "Removing tox dirs, logfiles, .pyo/.pyc files..."
-	rm -rf .tox
+	@echo "Cleaning up..."
 	find . -name __pycache__ -print0 | xargs -0 rm -rf
 	find . -name \*_log -print0 | xargs -0  rm -f
 	find . -name \*.log -print0 | xargs -0  rm -f

=== debian/changelog ===
serpent (1.41-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 18 Jul 2022 14:03:02 +0000

serpent (1.40-2) unstable; urgency=medium

  * Don't delete Python egg information.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 25 Oct 2021 06:38:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: python
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 11), python3-all, python3-setuptools, python3-tz, python3-attr
+Build-Depends: debhelper-compat (= 13), python3-all, python3-setuptools, python3-tz, python3-attr
 Build-Depends-Indep: dh-python
-Standards-Version: 4.5.0
-Homepage: https://pypi.python.org/pypi/serpent
-#X-Python3-Version: >= 3.5
+Standards-Version: 4.6.0
+Homepage: https://github.com/irmen/Serpent
 
 Package: python3-serpent
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export PYBUILD_NAME = serpent

override_dh_auto_test:
	$(MAKE) test

%:
	dh $@ --with python3 --buildsystem=pybuild

.PHONY: override_dh_auto_test

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/i,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//i \
https://github.com/irmen/Serpent/tags \
.*/serpent-v?(\d\S*)@ARCHIVE_EXT@

## serpent 1.42

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	python setup.py install
 
 test:
-	pytest -v tests
+	PYTHONPATH=. pytest -v tests
 
 lint:
 	pycodestyle

=== debian/changelog ===
serpent (1.42-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 06 Nov 2025 19:41:33 +0100

serpent (1.41-2) unstable; urgency=medium

  [ Colin Watson <cjwatson@debian.org> ]
  * Fix tests following the removal of "setup.py test" (closes: #1080234).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 08 Sep 2024 08:18:57 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 13), python3-all, python3-setuptools, python3-tz, python3-attr
+Build-Depends: debhelper-compat (= 13), python3-all, python3-setuptools, python3-attr, python3-pytz
 Build-Depends-Indep: dh-python
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/irmen/Serpent
 
 Package: python3-serpent

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME = serpent
export PYBUILD_TEST_CUSTOM = 1
export PYBUILD_TEST_ARGS = {interpreter} -m unittest discover -v tests

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
Version: 5

Template: Github
Owner: irmen
Project: Serpent
